#include "App.h"

#include <iostream>
#include <memory>

#include "Audio.h"
#include "BaseWindow.h"

App::App() {
    m_audio = std::make_unique<Audio>();
    m_window =
        std::make_unique<BaseWindow>(800, 600, "Music", grey, m_audio.get());
}

void App::Run() {
    if (m_window->run()) {
        std::cout << "Something wrong happened. Quitting.\n";
    }
}
